summaryrefslogtreecommitdiffstats
path: root/src
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-04-30 00:57:50 (EDT)
committer P. J. McDermott <pjm@nac.net>2012-04-30 00:57:50 (EDT)
commit28520f0930fcb1279267a795c65d64ad76cfd011 (patch)
treeb41c875096cf1761f2e78b9d838af28f886206d8 /src
parenta5155b6b24d3c0c12dc081e5c2723cd17912bd92 (diff)
Add an "httpd" service.
Diffstat (limited to 'src')
-rwxr-xr-xsrc/etc/init.d/httpd22
1 files changed, 22 insertions, 0 deletions
diff --git a/src/etc/init.d/httpd b/src/etc/init.d/httpd
new file mode 100755
index 0000000..6a3045d
--- /dev/null
+++ b/src/etc/init.d/httpd
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+case "${1}" in
+ start)
+ printf 'Starting httpd...'
+ start-stop-daemon -S -q -n httpd -x httpd -- -h /var/www
+ printf 'done.'
+ ;;
+ stop)
+ printf 'Stopping httpd... '
+ start-stop-daemon -K -q -n httpd
+ printf 'done.'
+ ;;
+ restart)
+ "${0}" stop
+ "${0}" start
+ ;;
+ *)
+ printf 'Usage: %s {start|stop|restart}\n' "${0}"
+ exit 1
+ ;;
+esac